//===========================================================================
//
// Name:			Unpretty_c.c
// Function:		chat lines for Unpretty
// Programmer:		MrElusive (MrElusive@idsoftware.com)
// Editor:			Demon Princess
// Last update:		Jan. 15, 2003
// Tab Size:		3 (real tabs)
//===========================================================================

chat "unpretty"
{
	//the teamplay.h file is included for all kinds of teamplay chats
	#include "teamplay.h"

	//======================================================
	//======================================================

	type "game_enter" //initiated when the bot enters the game
	{
		"Today's lesson will be pain.";
		"So, ", 1, ", back for more, huh?";
		// 0 = bot name
	} //end type

	type "game_exit" //initiated when the bot exits the game
	{
		"Why do I bother?";
		"So you want me to go? Fine then.";
		"I'm so outta here.";
		// 0 = bot name
	} //end type

	type "level_start" //initiated when a new level starts
	{
		"Time to show ~you a new level of pain.";
		"So, what are ~you guys waiting for?";
		// 0 = bot name
	} //end type

	type "level_end" //initiated when a level ends and the bot is not first and not last in the rankings
	{
		"Ahhh... The agony of defeat. Very interesting.";
		"~This ~will not go unavenged.";
		"~This has been truly tragic.";
		// 0 = bot name
	} //end type

	type "level_end_victory" //initiated when a level ends and the bot is first in the rankings
	{
		"~You lost again, ", 3, ". What a surprise.";
		"~I ~am soooo good.";
		"~It's always fun fighting with ", 3, ", 'cause I get to win.";
		// 0 = bot name
	} //end type

	type "level_end_lose" //initiated when a level ends and the bot is last in the rankings
	{
		"~I'll be back. Real soon.";
		"May ~you all die painfully.";
		"Winning isn't everything, ", 2, ".";
		"This is too much for me.";
		// 0 = bot name
	} //end type

	//======================================================
	//======================================================

	type "hit_talking" //bot is hit while chat balloon is visible; lecture attacker on poor sportsmanship
	{
		"How pityful ~you've become.";
		//0 = shooter
	} //end type

	type "hit_nodeath" //bot is hit by an opponent's weapon attack; either praise or insult
	{
		"Need an aimbot or something?";
		"Are ~you threatening me? Are ~YOU threatening ME?!";
		"Do I look like someone who is afraid of a little pain? Do I?!";
		//0 = shooter
	} //end type

	type "hit_nokill" //bot hits an opponent but does not kill it
	{
		"~You're supposed to be dead now, ", 0, ".";
                "~I'm not done with ~you yet!";
		"Hold still, ", 0, ", this isn't going to hurt... much.";
		//0 = opponent
	} //end type

	//======================================================
	//======================================================

	type "death_telefrag" //initiated when the bot is killed by a telefrag
	{
		"Get out of my face.";
		"I think I told ~you TO LEAVE ME ALONE!";
		"Hey! I was here first!";
		// 0 = enemy name
	} //end type

	type "death_cratered" //initiated when the bot is killed by taking "normal" falling damage
	{
		"I was just testing the floor. I'll give a nine out of ten for hardness.";
		"So now I'm flat. Big deal.";
		"I meant to do that.";
		// 0 = enemy name
	} //end type

	type "death_lava" //initiated when the bot dies in lava
	{
		"If this is hell, I'm not impressed.";
		"At least I won't catch a cold.";
		// 0 = enemy name
	} //end type

	type "death_slime" //initiated when the bot dies in slime
	{
                "What IS this goo anyways?";
		// 0 = enemy name
	} //end type

	type "death_drown" //initiated when the bot drowns
	{
		"Glup.";
		"~I'm sleeping with the fishes now.";
		// 0 = enemy name
	} //end type

	type "death_suicide" //initiated when bot blows self up with a weapon or craters
	{
		"~You think this is funny? ~You're sick. Get help.";
		"What, ~you think I'm dead?";
		// 0 = enemy name
	} //end type

	type "death_gauntlet" //initiated when the bot is killed by a gauntlet attack
	{
		"Wow, were ~you ready to see me up THAT close?";
		"How DARE ~you?!";
		"Throwing punches is a really stupid hobby.";
		// 0 = enemy name
	} //end type

	type "death_rail" //initiated when the bot is killed by a rail gun shot
	{
		"Afraid to see me up close, ", 0, "? I can imagine that.";
		"~I'll show ~you PAIN.";
		"I ~didn't enjoy that.";
		"~I'm not impressed, ", 0, ".";
		"Oooooooo. Now ~I am so scared.";
		// 0 = enemy name
	} //end type

	type "death_bfg" //initiated when the bot died by a BFG
	{
		"Great! Now ~I'll have to sew everything back on.";
		"I ~didn't know ~you could handle the recoil of that weapon, ", 0, ".";
		"BFG-whore!";
		// 0 = enemy name
	} //end type

	type "death_insult" //insult initiated when the bot died
	{
		"Just another ugly gash. I ~don't mind, really.";
		"Oh well. A few more stitches here and there... ~it's not like ~you're ~going to notice the difference,";
		"Give back that part ~you blew off me!";
		"~I'm ~going to make ~you sew that part back on, ", 0, ".";
		"~Don't ~you understand who I ~am? What ~I've become?";
		"Yeah, whatever. I'll just get reanimated... again.";
		"Be afraid, ", 0, ". Be very afraid.";
		"Mmmmmm, ~you get a lot of mileage out of ~your tiny gun.";
		// 0 = enemy name
	} //end type

	type "death_praise" //praise initiated when the bot died
	{
		"Oh, yes... yes... YES!";
		"I like pain.";
		"Looks like all the legends about ", 0, " are true.";
		"That was beautiful, like art.";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "kill_rail" //initiated when the bot kills someone with rail gun
	{
		"Okay creep, ~your turn.";
	        "Dead on target!";
		"I hope ~you're not the best there is, ", 0, ".";
		"Somebody wanna clean this mess up?";
		"I give lessons. I think ~you need 'em.";
		// 0 = enemy name
	} //end type

	type "kill_gauntlet" //initiated when the bot kills someone with gauntlet
	{
		"Have a nice day.";
                "Tag, ~you're it.";
		"~Can't ~you at least make ~this interesting, ", 0, "?";
		// 0 = enemy name
	} //end type

	type "kill_telefrag" //initiated when the bot telefragged someone
	{
		"Out of my way!";
		"Go. Get out of my sight.";
		"Get lost!";
		// 0 = enemy name
	} //end type

	type "kill_suicide" //initiated when the player kills self with a weapon of craters
	{
		"Am I supposed to be amused by that?";		
		// 0 = enemy name
	} //end type

	type "kill_insult" //insult initiated when the bot killed someone
	{
		"~Don't worry, ", 0, ". They can patch ~you up again.";
		"Oh, stop whining. If ~you call that pain, ~you ~don't even know what real pain is.";
		"Pathetic.";
		"~You're dead. Again.";
		"~I'm filing a protest. I deserve better opponents than ~this.";
		"I thought so. ~You WERE full of hot air, ", 0, ".";
		"Clean up ~your mess before ~you go, ", 0, ".";
		"Too easy. I think ~I'll switch to the gauntlet.";
		// 0 = enemy name
	} //end type

	type "kill_praise" //praise initiated when the bot killed someone
	{
		"I love ~you too, dear.";
		"~You make wonderful target practice.";
		"Well, at least ~you tried...";
		// 0 = enemy name
	} //end type

	//======================================================
	//======================================================

	type "random_insult" //insult initiated randomly (just when the bot feels like it)
	{
		"~I'll make ~you feel unpretty too.";
		"Ow ... I bumped my toe on something. Oh, it was ~your head.";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type

	type "random_misc" //miscellanous chats initiated randomly
	{
		"~Do ~you think ~I'm pretty?";
		"Who needs shampoo anyways? *cherishes hair*";
		"~This is all so terribly real.";
		"~You can't hide over there, ", 0, ". I see ~you.";
		// 0 = name of randomly chosen player
		// 1 = bot name
	} //end type
} //end unpretty chat







